API Documentation
Base URL:
https://api.qsanz.online/apiTo obtain your API key credentials or for any support queries, please reach out to:
- Your QSAU partner representative
- Email us at support@qsau.com.au
This documentation provides details about the available API endpoints. All API responses are in JSON format. Make sure to include the appropriate API key in the headers when required.
Tracking
Order Management
Tracking API Endpoints
These endpoints require API key authentication via the X-API-Key header. All API calls should be prefixed with '/api' when called from the frontend.
POST
/v1/track/lookup_orderLookup orders by order numbers or tracking numbers
Authentication: API Key required
Headers:
| Name | Type | Description |
|---|---|---|
| X-API-Key | string | API key for authentication |
| Content-Type | string | Must be application/json |
Request Body:
{
"orders": ["TEST-2025-06-000025", "TEST-2025-06-000024", "TEST-2025-07-000056"]
}Response:
{
"found": [
{
"Order": "TEST-2025-06-000025",
"Exist": true
},
{
"Order": "TEST-2025-06-000024",
"Exist": true
}
],
"success_count": 2,
"not_found": [
{
"Order": "TEST-2025-07-000056",
"Exist": false
}
],
"fail_count": 1
}POST
/v1/track/track_latest_eventGet latest tracking events for orders
Authentication: API Key required
Headers:
| Name | Type | Description |
|---|---|---|
| X-API-Key | string | API key for authentication |
| Content-Type | string | Must be application/json |
Request Body:
{
"orders": ["TEST-2025-06-000025", "TEST-2025-06-000024", "TEST-2025-07-000056"]
}Response:
{
"found": [
{
"Order": "TEST-2025-06-000025",
"Event": "Awaiting AMS Clearance",
"Location": "Order is awaiting AMS clearance",
"Datetime": "20250613 08:21:36"
},
{
"Order": "TEST-2025-06-000024",
"Event": "Delivered",
"Location": "Package delivered to recipient.",
"Datetime": "20250612 16:36:20"
}
],
"success_count": 2,
"not_found": [
{
"Order": "TEST-2025-07-000056",
"Event": "(not found)",
"Location": "",
"Datetime": ""
}
],
"fail_count": 1
}POST
/v1/track/track_available_eventsGet all tracking events for orders
Authentication: API Key required
Headers:
| Name | Type | Description |
|---|---|---|
| X-API-Key | string | API key for authentication |
| Content-Type | string | Must be application/json |
Request Body:
{
"orders": ["TEST-UOM-0000351", "TEST-UOM-0002150", "TEST-2025-07-000056"]
}Response:
{
"found": [
{
"Order": "TEST-UOM-0000351",
"Events": [
{
"Event": "Awaiting AMS Clearance",
"Location": "Order is awaiting AMS clearance",
"Datetime": "20250611 18:41:00"
},
{
"Event": "Manifested",
"Location": "Order has been included in manifest ID: 7",
"Datetime": "20250611 18:40:49"
},
{
"Event": "Label Printed",
"Location": "Shipping label has been generated and printed",
"Datetime": "20250611 18:39:46"
},
{
"Event": "Order Created",
"Location": "Order has been created in the system",
"Datetime": "20250611 18:38:38"
}
]
},
{
"Order": "TEST-UOM-0002150",
"Events": [
{
"Event": "Delivered",
"Location": "Delivered at 3/78 Waterloo Rd, Macquarie Park NSW 2113, Australia",
"Datetime": "20250611 15:55:00"
},
{
"Event": "Loaded by Driver",
"Location": "Loaded by Driver",
"Datetime": "20250611 15:21:00"
},
{
"Event": "Received in Depo",
"Location": "Received in Depo",
"Datetime": "20250611 15:10:00"
},
{
"Event": "Not Scanned",
"Location": "Not Scanned",
"Datetime": "20250611 15:06:00"
},
{
"Event": "DFU-01",
"Location": "Begin Customs Clearance",
"Datetime": "20250610 15:27:00"
},
{
"Event": "PRD-04",
"Location": "Outbound/Arrival Scan",
"Datetime": "20250610 14:30:40"
},
{
"Event": "CUS-01",
"Location": "Customs Cleared",
"Datetime": "20250610 14:29:00"
},
{
"Event": "Awaiting AMS Clearance",
"Location": "Order is awaiting AMS clearance",
"Datetime": "20250609 23:38:59"
},
{
"Event": "Manifested",
"Location": "Order has been included in manifest ID: 6",
"Datetime": "20250609 23:38:55"
},
{
"Event": "Label Printed",
"Location": "Shipping label has been generated and printed",
"Datetime": "20250609 23:38:26"
},
{
"Event": "Order Created",
"Location": "Order has been created in the system",
"Datetime": "20250609 23:37:29"
}
]
}
],
"success_count": 2,
"not_found": [
{
"Order": "TEST-2025-07-000056",
"Events": []
}
],
"fail_count": 1
}